%define	emacsver	21.3
%define xemacsver	21.4

Summary: Multi Major Mode for Emacsen
Name: elisp-mmm-mode
Version: 0.4.7
Release: 14m
License: GPL
Group: Applications/Editors
Source0: http://telia.dl.sourceforge.net/mmm-mode/mmm-mode-%{version}.tar.gz
NoSource: 0
Source100: mmm-mode.el
URL: http://sourceforge.net/projects/mmm-mode
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo

%description
MMM Mode is a minor mode for Emacsen that allows Multiple Major Modes
(hence the name) to coexist in one buffer.  It is particularly
well-suited to editing embedded code, such as Mason server-side Perl,
or HTML output in CGI scripts.

%package -n mmm-mode-emacs
Summary: Multi Major Mode for Emacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Prereq: info

%description -n mmm-mode-emacs
MMM Mode is a minor mode for Emacs that allows Multiple Major Modes
(hence the name) to coexist in one buffer.  It is particularly
well-suited to editing embedded code, such as Mason server-side Perl,
or HTML output in CGI scripts.

%package -n mmm-mode-xemacs
Summary: Multi Major Mode for XEmacs
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo

%description -n mmm-mode-xemacs
MMM Mode is a minor mode for XEmacs that allows Multiple Major Modes
(hence the name) to coexist in one buffer.  It is particularly
well-suited to editing embedded code, such as Mason server-side Perl,
or HTML output in CGI scripts.

%prep
%setup -q -n mmm-mode-%{version}

%build
./configure --prefix=%{_prefix} --infodir=\$\(datadir\)/info --with-emacs=%{_bindir}/emacs
mv Makefile Makefile.t
sed -e 's|^lispdir.\+$|lispdir = $(prefix)/share/emacs/site-lisp/mmm|' Makefile.t \
    > Makefile
make
find . -path '*.elc' -exec mv {} {}.emacs \;
find . -name 'Makefile' -exec cp {} {}.emacs \;

make distclean

./configure --prefix=%{_prefix} --infodir=\$\(datadir\)/info --with-xemacs=%{_bindir}/xemacs
mv Makefile Makefile.t
sed -e 's|^lispdir.\+$|lispdir = $(prefix)/lib/xemacs/site-lisp/mmm|' Makefile.t \
    > Makefile
make
find . -path '*.elc' -exec mv {} {}.xemacs \;
find . -name 'Makefile' -exec mv {} {}.xemacs \;

%install
test -d %{buildroot} && rm -rf %{buildroot}

for i in `ls {Makefile,*.elc}.emacs`; do
  cp $i ${i/.emacs}
done
make prefix=%{buildroot}%{_prefix} \
     install

for i in `ls {Makefile,*.elc}.xemacs`; do
  cp $i ${i/.xemacs}
done
make prefix=%{buildroot}%{_prefix} \
     install

echo "%defattr (-,root,root)" > emacs.filelist
cp emacs.filelist xemacs.filelist
find %{buildroot} -type f -o -type l | sed -e 's|^%{buildroot}||' |\
    grep /emacs/ >> emacs.filelist
find %{buildroot} -type f -o -type l | sed -e 's|^%{buildroot}||' |\
    grep /xemacs/ >> xemacs.filelist

mkdir -p %{buildroot}%{_datadir}/config-sample/elisp-mmm-mode
install -c -m 644 %{SOURCE100} \
    %{buildroot}%{_datadir}/config-sample/elisp-mmm-mode

# remove
rm -f %{buildroot}/usr/share/info/dir

%post -n mmm-mode-emacs
/sbin/install-info %{_infodir}/mmm.info.* %{_infodir}/dir --section="Emacs"

%preun -n mmm-mode-emacs
if [ "$1" = 0 ]; then
  /sbin/install-info --delete %{_infodir}/mmm.info.* %{_infodir}/dir --section="Emacs"
fi

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog FAQ INSTALL NEWS README README.Mason TODO
%{_infodir}/mmm.info*
%{_datadir}/config-sample/elisp-mmm-mode

%files -n mmm-mode-emacs -f emacs.filelist
%defattr (-,root,root)
%dir %{_datadir}/emacs/site-lisp/mmm

%files -n mmm-mode-xemacs -f xemacs.filelist
%defattr (-,root,root)
%dir %{_libdir}/xemacs/site-lisp/mmm

%changelog
* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (0.4.7-14m)
- revised spec for enabling rpm 4.2.

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.7-13m)
- rebuild against emacs-21.3
- use %%_prefix and %%_bindir

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (0.4.7-12k)
- /sbin/install-info -> info in PreReq.

* Wed Mar 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.4.7-10k)
- rebuild against emacs-21.2

* Mon Oct 29 2001 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.4.7-8k)
- modified %BuildPrereq and %Requires (added xemacs-sumo)

* Mon Oct 29 2001 Hidetomo Machi <mcHT@kondara.org>
- (0.4.7-6k)
- use BuildPreReq instead of BuildRequires
- "PreReq: /sbin/install-info" use only mmm-mode-emacs
- add "-n mmm-mode-emacs" in %post and %prean
- add --section="Emacs" to install-info otption
- glob directory (%dir)

* Sun Oct 28 2001 Kenta MURATA <muraken2@nifty.com>
- (0.4.7-4k)
- fix lispdir of xemacs.
- modify mmm.el.

* Thu Oct 25 2001 Kenta MURATA <muraken2@nifty.com>
- (0.4.7-2k)
- first release for Kondara.
